Bug 123650 - dialog Page Style, tab Page: tab does not bring focus to lower part of page (GTK3+)
Summary: dialog Page Style, tab Page: tab does not bring focus to lower part of page (...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-02-22 12:12 UTC by Cor Nouws
Modified: 2019-03-21 09:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-02-22 12:12:29 UTC
Writer
Format > Page... go to tab Format
TAB to Format, Width, Height, Orientation ..
TAB to ..
  > focus on tab of page
TAB
  > focus back on Format
  > lower part doesn't get the focus

Version: 6.3.0.0.alpha0+
Build ID: 8193e697d286595aa62859011761adeb002244e3
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-20_19:53:18
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 raal 2019-02-22 17:45:34 UTC
Hello Cor, 
Format > Page... go to tab Format. Format tab doesn't exist. Do you mean tab Page?

I can not confirm with Version: 6.3.0.0.alpha0+
Build ID: 465939feb0e9c382e5581b53b72008979ece4807
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 

I can confirm in Version: 6.3.0.0.alpha0+
Build ID: 465939feb0e9c382e5581b53b72008979ece4807
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;  , but only in first try - if I press TAB more times, then I can get focus in lower part. GTK3 only bug.
Comment 2 Cor Nouws 2019-02-23 20:58:20 UTC
(In reply to raal from comment #1)
> Hello Cor, 
> Format > Page... go to tab Format. Format tab doesn't exist. Do you mean tab
> Page?
Oops - indeed :)
 
> I can confirm in Version: 6.3.0.0.alpha0+
> Build ID: 465939feb0e9c382e5581b53b72008979ece4807
Thanks! (> new)

> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;  , but only
> in first try - if I press TAB more times, then I can get focus in lower
> part. GTK3 only bug.
For me, it doesn't get to the lower part of the dialog. From orientation it goes ..?, and then to the tab of the page again.
Comment 3 Xisco Faulí 2019-03-14 21:21:11 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=608c82472da65d9ac0b81f5a985dfa329e6c5136

author	Caolán McNamara <caolanm@redhat.com>	2019-01-28 13:12:00 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-01-28 17:04:32 +0100
commit	608c82472da65d9ac0b81f5a985dfa329e6c5136 (patch)
tree	4b7d92f6c3424ab58544a190d0b4162174cb9f99
parent	ef28740d0ae036f6fa2e9866cadf335e9f0ad8b9 (diff)
Resolves: tdf#122930 paper tray is to update on focus-in

bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2019-03-16 21:44:18 UTC
weird, that combobox modifies itself when it gets focus, that must interact weirdly in gtk for some reason.
Comment 5 Commit Notification 2019-03-16 23:37:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6af7bd87a64ddd93e3beef134914311eeac07373%5E%21

Resolves: tdf#123650 explicitly grab focus after modification

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-03-16 23:39:04 UTC
without the bisect I would never have figured this out, fixed in master, backport in gerrit
Comment 7 Xisco Faulí 2019-03-20 16:42:12 UTC
The fix for this issue introduced bug 124226
Comment 8 Commit Notification 2019-03-21 07:12:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/71e64623f08b162e18180cdae5ad532114e56190%5E%21

Resolves: tdf#123650 explicitly grab focus after modification

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2019-03-21 09:10:24 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 7c7a4675ad5d61add70dd073f680ea37012962ce
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!